Skip to main content
POST
/
v2
/
deliveryNotes
/
{deliveryNoteId}
/
packages
Post Package Data For Delivery Note
curl --request POST \
  --url https://api.jtl-cloud.com/erp/v2/deliveryNotes/{deliveryNoteId}/packages \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --header 'x-appid: <x-appid>' \
  --header 'x-appversion: <x-appversion>' \
  --header 'x-tenant-id: <x-tenant-id>' \
  --data '
[
  {
    "shippedDate": "2023-11-07T05:31:56Z",
    "trackingID": "<string>",
    "comment": "<string>"
  }
]
'
[
  {
    "id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
    "packageDate": "2023-11-07T05:31:56Z",
    "trackingID": "<string>",
    "weights": 123,
    "shippingMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
    "shippedDate": "2023-11-07T05:31:56Z",
    "trackingUrl": "<string>",
    "comment": "<string>"
  }
]

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

x-api-key
string
header
required

Optional: If no token is present, the API Gateway injects it.

Headers

x-appid
string
required

This is the name of your application, e.g. "MyApp/1.0.0". It is used to identify your application.

x-appversion
string
required

This is where the version number of your application is entered, e.g. "1.0.0".

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

X-SessionId
string<uuid>

The id of a session in which the call will be executed.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

deliveryNoteId
string<uuid>
required

The id of the delivery note.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Body

application/json

The Packages to Create

shippedDate
string<date-time>

The date when the package was shipped.

trackingID
string

The tracking Id of the package.

comment
string

The comment of the package.

Response

Returns All packages that are created for the delivery note.

id
string<uuid>

The id of the package.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

packageDate
string<date-time>

The date when the package was created.

trackingID
string

The tracking Id of the package.

weights
number<decimal>

The weight of the package.

shippingMethodId
string<uuid>

The shipping method of the package.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

shippedDate
string<date-time>

The date when the package was shipped.

trackingUrl
string

The tracking url of the package.

comment
string

The comment of the package.